Subject: Re: [PATCH] gitweb: provide a way to customize html headers

From: Jakub Narebski <[email-masked]>
Date: Fri, 21 Oct 2011 21:14:33 +0200

Dnia piątek 21. października 2011 00:46, Lénaïc Huard napisał:
> Le lundi 17 octobre 2011, Jakub Narebski a écrit :
>> On Mon, 17 Oct 2011, Lénaïc Huard wrote:
>>> Jakub Narebski <[email-masked]> writes:
>>>> Lénaïc Huard <[email-masked]> writes:
[...]
>>>>>  gitweb/INSTALL     |    3 +++
>>>> 
>>>> Nb. there is patch in flight adding gitweb.conf(5) and gitweb(1)
>>>> manpages...
>>> 
>>> Ok. So, I’ll update them once a decision will be taken concerning this
>>> $site_htmlheader.
>> 
>> You might have to wait a bit till patches containing gitweb.conf(5)
>> manpage are merged in, and rebase your patch to add information about
>> new config variable not to gitweb/INSTALL, but to
>> Documentation/gitweb.conf.txt
> 
> I added the documentation to Documentation/gitweb.conf.txt.
> But, as I noticed that gitweb/INSTALL still exists and still documents the
> old variables, I left the doc of the new one.
> 
>  Documentation/gitweb.conf.txt |    5 +++++
>  gitweb/INSTALL                |    2 ++
>  gitweb/Makefile               |    2 ++
>  gitweb/gitweb.perl            |    7 +++++++
>  t/gitweb-lib.sh               |    1 +
>  5 files changed, 17 insertions(+), 0 deletions(-)

Well, gitweb/INSTALL documents _build_ time [make] variables, and that
didn't change with introduction of gitweb manpages.  Those are important
only during explanation.

It is only runtime _configuration_ that moved from gitweb/README (which
should be short description of project) to manpages for gitweb config.

-- 
Jakub Narebski
Poland